import request from '@/utils/request'

// 查询失信被执行人信息列表
export function listExecutor(query) {
  return request({
    url: '/crmDishonestExecutor/findByPage',
    method: 'get',
    params: query
  })
}

// 查询失信被执行人信息详细
export function getExecutor(id) {
  return request({
    url: '/basicData/executor/' + id,
    method: 'get'
  })
}

// 新增失信被执行人信息
export function addExecutor(data) {
  return request({
    url: '/basicData/executor',
    method: 'post',
    data: data
  })
}

// 修改失信被执行人信息
export function updateExecutor(data) {
  return request({
    url: '/basicData/executor',
    method: 'put',
    data: data
  })
}

// 删除失信被执行人信息
export function delExecutor(id) {
  return request({
    url: '/crmDishonestExecutor/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delExecutorBatch(ids) {
  console.log(ids);
  return request.post('/crmDishonestExecutor/delete',ids)
}

